Skala
Product recipe items

Update a product recipe item

Partially updates specific fields of an existing product recipe item without affecting the rest of the data.

PATCH
/api/product_recipe_items/{id}

Partially updates specific fields of an existing product recipe item without affecting the rest of the data.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

ProductRecipeItem identifier

Request Body

application/merge-patch+json

The updated ProductRecipeItem resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.skalasuite.com/api/product_recipe_items/string" \  -H "Content-Type: application/merge-patch+json" \  -d '<amount>string</amount>  <stock>/entity/1</stock>  <wastage>string</wastage>  <amountWithWastage>string</amountWithWastage>'
{
  "id": 0,
  "amount": "string",
  "note": "string",
  "cost": "string",
  "recipe": "/entity/1",
  "stock": "/entity/1",
  "productRecipeItemVariantOptions": [
    {
      "id": 0,
      "recipeItem": "/entity/1",
      "variantOption": "/entity/1",
      "variantOptionValues": [
        {}
      ]
    }
  ],
  "wastage": "string",
  "amountWithWastage": "string",
  "normalizedCost": "string",
  "currency": "/entity/1",
  "rate": "string",
  "position": 1,
  "unitCost": "string",
  "normalizedUnitPrice": "string",
  "normalizedUnitCost": "string",
  "company": "/entity/1",
  "createdBy": "/entity/1",
  "updatedBy": "/entity/1",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z"
}
Empty
Empty
Empty